## MmGdbusObjectSkeleton MmGdbusObjectSkeleton |

## Functions

MmGdbusObjectSkeleton * | mm_gdbus_object_skeleton_new ()
void | mm_gdbus_object_skeleton_set_modem ()
void | mm_gdbus_object_skeleton_set_modem3gpp ()
void | mm_gdbus_object_skeleton_set_modem3gpp_ussd ()
void | mm_gdbus_object_skeleton_set_modem3gpp_profile_manager ()
void | mm_gdbus_object_skeleton_set_modem_cdma ()
void | mm_gdbus_object_skeleton_set_modem_firmware ()
void | mm_gdbus_object_skeleton_set_modem_oma ()
void | mm_gdbus_object_skeleton_set_modem_location ()
void | mm_gdbus_object_skeleton_set_modem_messaging ()
void | mm_gdbus_object_skeleton_set_modem_simple ()
void | mm_gdbus_object_skeleton_set_modem_time ()
void | mm_gdbus_object_skeleton_set_modem_signal ()
void | mm_gdbus_object_skeleton_set_modem_voice ()
void | mm_gdbus_object_skeleton_set_modem_sar ()

## Types and Values

struct | MmGdbusObjectSkeleton

## Object Hierarchy

        GObject
        ╰── GDBusObjectSkeleton
            ╰── MmGdbusObjectSkeleton

## Implemented Interfaces

MmGdbusObjectSkeleton implements GDBusObject and MmGdbusObject.

## Description

## Functions

### mm_gdbus_object_skeleton_new ()

    MmGdbusObjectSkeleton *
    mm_gdbus_object_skeleton_new (const gchar *object_path);

Creates a new skeleton object.

#### Parameters

object_path | An object path. |

#### Returns

The skeleton object.

[transfer full]

### mm_gdbus_object_skeleton_set_modem ()

    void
    mm_gdbus_object_skeleton_set_modem (MmGdbusObjectSkeleton *object,
                                        MmGdbusModem *interface_);

Sets the MmGdbusModem instance for the D-Bus interface org.freedesktop.ModemManager1.Modem on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModem or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem3gpp ()

    void
    mm_gdbus_object_skeleton_set_modem3gpp
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModem3gpp *interface_);

Sets the MmGdbusModem3gpp instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModem3gpp or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem3gpp_ussd ()

    void
    mm_gdbus_object_skeleton_set_modem3gpp_ussd
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModem3gppUssd *interface_);

Sets the MmGdbusModem3gppUssd instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.Ussd on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModem3gppUssd or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem3gpp_profile_manager ()

    void
    mm_gdbus_object_skeleton_set_modem3gpp_profile_manager
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModem3gppProfileManager *interface_);

Sets the MmGdbusModem3gppProfileManager instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.ProfileManager on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModem3gppProfileManager or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_cdma ()

    void
    mm_gdbus_object_skeleton_set_modem_cdma
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemCdma *interface_);

Sets the MmGdbusModemCdma instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.ModemCdma on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemCdma or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_firmware ()

    void
    mm_gdbus_object_skeleton_set_modem_firmware
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemFirmware *interface_);

Sets the MmGdbusModemFirmware instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Firmware on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemFirmware or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_oma ()

    void
    mm_gdbus_object_skeleton_set_modem_oma
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemOma *interface_);

Sets the MmGdbusModemOma instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Oma on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemOma or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_location ()

    void
    mm_gdbus_object_skeleton_set_modem_location
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemLocation *interface_);

Sets the MmGdbusModemLocation instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Location on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemLocation or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_messaging ()

    void
    mm_gdbus_object_skeleton_set_modem_messaging
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemMessaging *interface_);

Sets the MmGdbusModemMessaging instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Messaging on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemMessaging or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_simple ()

    void
    mm_gdbus_object_skeleton_set_modem_simple
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemSimple *interface_);

Sets the MmGdbusModemSimple instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Simple on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemSimple or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_time ()

    void
    mm_gdbus_object_skeleton_set_modem_time
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemTime *interface_);

Sets the MmGdbusModemTime instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Time on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemTime or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_signal ()

    void
    mm_gdbus_object_skeleton_set_modem_signal
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemSignal *interface_);

Sets the MmGdbusModemSignal instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Signal on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemSignal or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_voice ()

    void
    mm_gdbus_object_skeleton_set_modem_voice
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemVoice *interface_);

Sets the MmGdbusModemVoice instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Voice on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemVoice or `NULL` to clear the interface. | [nullable]

### mm_gdbus_object_skeleton_set_modem_sar ()

    void
    mm_gdbus_object_skeleton_set_modem_sar
                                   (MmGdbusObjectSkeleton *object,
                                    MmGdbusModemSar *interface_);

Sets the MmGdbusModemSar instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Sar on `object` .

#### Parameters

object | A MmGdbusObjectSkeleton. |
interface_ | A MmGdbusModemSar or `NULL` to clear the interface. | [nullable]

## Types and Values

### struct MmGdbusObjectSkeleton

    struct MmGdbusObjectSkeleton;

The MmGdbusObjectSkeleton structure contains only private data and should only be accessed using the provided API.